curl --request PUT \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/user/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"country_code": "<string>",
"login_methods": [],
"notification_preferences": {
"transactional": {
"email": true,
"sms": true,
"whatsapp": true
},
"promotional": {
"email": true,
"sms": true,
"whatsapp": true
},
"newsletter": {
"email": true,
"sms": true,
"whatsapp": true
}
},
"business": {
"type": "<string>",
"name": "<string>",
"metadata": {},
"registered_address": {
"first_name": "<string>",
"last_name": "<string>",
"country_code": "<string>",
"phone": "<string>",
"email": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"landmark": "<string>",
"pincode": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"tax_identification_number": "<string>",
"business_name": "<string>",
"is_default_billing": true,
"is_default_shipping": true,
"nickname": null
}
},
"customer_group_id": "<string>"
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/user/{id}"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"country_code": "<string>",
"login_methods": [],
"notification_preferences": {
"transactional": {
"email": True,
"sms": True,
"whatsapp": True
},
"promotional": {
"email": True,
"sms": True,
"whatsapp": True
},
"newsletter": {
"email": True,
"sms": True,
"whatsapp": True
}
},
"business": {
"type": "<string>",
"name": "<string>",
"metadata": {},
"registered_address": {
"first_name": "<string>",
"last_name": "<string>",
"country_code": "<string>",
"phone": "<string>",
"email": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"landmark": "<string>",
"pincode": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"tax_identification_number": "<string>",
"business_name": "<string>",
"is_default_billing": True,
"is_default_shipping": True,
"nickname": None
}
},
"customer_group_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
country_code: '<string>',
login_methods: [],
notification_preferences: {
transactional: {email: true, sms: true, whatsapp: true},
promotional: {email: true, sms: true, whatsapp: true},
newsletter: {email: true, sms: true, whatsapp: true}
},
business: {
type: '<string>',
name: '<string>',
metadata: {},
registered_address: {
first_name: '<string>',
last_name: '<string>',
country_code: '<string>',
phone: '<string>',
email: '<string>',
address_line1: '<string>',
address_line2: '<string>',
landmark: '<string>',
pincode: '<string>',
city: '<string>',
state: '<string>',
country: '<string>',
tax_identification_number: '<string>',
business_name: '<string>',
is_default_billing: true,
is_default_shipping: true,
nickname: null
}
},
customer_group_id: '<string>'
})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/user/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"user": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"is_email_verified": true,
"phone": "<string>",
"country_code": "<string>",
"is_phone_verified": true,
"profile_image_url": "<string>",
"is_anonymous": true,
"is_logged_in": true,
"login_methods": [],
"notification_preferences": {
"transactional": {
"email": true,
"sms": true,
"whatsapp": true
},
"promotional": {
"email": true,
"sms": true,
"whatsapp": true
},
"newsletter": {
"email": true,
"sms": true,
"whatsapp": true
}
},
"customer_id": "<string>",
"customer_group": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"is_default": true,
"active": true
},
"business": {
"type": "<string>",
"name": "<string>",
"metadata": {},
"registered_address": {
"first_name": "<string>",
"last_name": "<string>",
"country_code": "<string>",
"phone": "<string>",
"email": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"landmark": "<string>",
"pincode": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"tax_identification_number": "<string>",
"business_name": "<string>",
"is_phone_verified": true,
"is_email_verified": true,
"id": "<string>",
"is_default_billing": true,
"is_default_shipping": true,
"nickname": null
}
},
"created_at": "<string>",
"modified_at": "<string>"
}
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"error": {}
}{
"message": "<string>",
"success": false,
"code": "<string>"
}Update a user
Updates user profile details. Returns the updated User object.
Authorizations
Access token
Path Parameters
user ID
Body
User’s first name.
User’s last name.
User’s email I’d.
10 digit phone number without country code.
Two-letter code begin with a plus sign prefix that identifies different countries. By default it will be +91 if not provided. Use this key along with phone. Not necessary for email.
email, phone, whatsapp, password User's notification preferences are categorized by transactional, promotional, and newsletter types.
Show child attributes
Show child attributes
User's business information.
Show child attributes
Show child attributes
User's customer group ID.
Response
OK
A descriptive message confirming the success or failure of the Registration process.
Indicates whether the request was successful or failure (true for success, false for failure).
An object containing the response content.
Show child attributes
Show child attributes
Was this page helpful?